Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-18327

Upgrade third-party coord package to version 1.1

    XMLWordPrintable

Details

    • Story
    • Status: Done
    • Resolution: Done
    • None
    • None
    • None
    • 1
    • DRP S19-4
    • Data Release Production

    Description

      The latest version of lsstdesc/coord (v1.1), which is repackaged in lsst/coord (currently v1.0.5), has important bug-fixes including fixing a leaking file descriptor. So it should be upgraded.
      This is only a secondary dependency, and does not require an RFC to update.

      Attachments

        Activity

          tjenness Tim Jenness added a comment -

          Looks fine to me. I'm okay merging it assuming jenkins builds it (I guess the test is to see that sims_GalSimInterface and meas_extensions_shapeHSM build okay).

          Please remember to add the version tag after merging. See https://developer.lsst.io/stack/packaging-third-party-eups-dependencies.html?highlight=tag#distributing-the-package (the git tag -a bit not the eups publish bit).

          tjenness Tim Jenness added a comment - Looks fine to me. I'm okay merging it assuming jenkins builds it (I guess the test is to see that sims_GalSimInterface and meas_extensions_shapeHSM build okay). Please remember to add the version tag after merging. See https://developer.lsst.io/stack/packaging-third-party-eups-dependencies.html?highlight=tag#distributing-the-package (the git tag -a bit not the eups publish bit).
          erykoff Eli Rykoff added a comment -

          tjenness I checked that jenkins ran fine with the default jenkins run, but how do I test sims_GalSimInterface and meas_extensions_shapeHSM in particular?
          And thanks for the tip about the tagging!

          erykoff Eli Rykoff added a comment - tjenness I checked that jenkins ran fine with the default jenkins run, but how do I test sims_GalSimInterface and meas_extensions_shapeHSM in particular? And thanks for the tip about the tagging!
          tjenness Tim Jenness added a comment -

          In Jenkins, when it asks for what you are building, remove lsst_ci and lsst_distrib and replace with those two package names.

          tjenness Tim Jenness added a comment - In Jenkins, when it asks for what you are building, remove lsst_ci and lsst_distrib and replace with those two package names.

          People

            erykoff Eli Rykoff
            erykoff Eli Rykoff
            Tim Jenness
            Eli Rykoff, Tim Jenness
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Jenkins

                No builds found.